Bug 49443

Summary: RemoteIpValve : remoteIpHeader vs remoteIPHeader
Product: Tomcat 6 Reporter: Sylvain Laurent <slaurent>
Component: DocumentationAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: minor    
Priority: P2    
Version: 6.0.26   
Target Milestone: default   
Hardware: PC   
OS: Windows XP   

Description Sylvain Laurent 2010-06-15 07:38:37 UTC
In the doc for the RemoteIpValve (http://tomcat.apache.org/tomcat-6.0-doc/config/valve.html), the remoteIPHeader attribute is mentionned, but actually it should be remoteIpHeader (notice the lowercase "p") since the setter method is setRemoteIpHeader(..).
Comment 1 Mark Thomas 2010-06-18 07:33:22 UTC
Thanks for the report. I've cleaned the code and the docs up for 7.0.x and that will be in 7.0.1 onwards. I have also proposed a patch to clean up 6.0.x.
Comment 2 Konstantin Kolinko 2010-06-26 07:12:41 UTC
Fixed in 6.0 in r958195 and will be in 6.0.28 onwards.